(defun c:nest ()
;define the function

  (setq dcl_id (load_dialog "nest.dcl"))
  ;load the DCL file

  (if (not (new_dialog "main" dcl_id))
  ;load the dialogue box

    (exit)
    ;if not loaded exit

  )

  (action_tile
    "cancel"
    "(done_dialog)
     (setq result nil)"
  )
  ;do this if Cancel button selected

  (action_tile
    "accept"
    "(done_dialog)
     (setq result T)"
  )
  ;do this if OK button selected

  (action_tile
    "next"
    "(nest1)"
  )
  ;if Next button is selected, call 
  ;the nested dialogue function

  (start_dialog)
  ;start the dialogue

  (unload_dialog dcl_id)
  ;unload the dialogue

  (princ)

);defun

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun nest1 ()
;define the function

  (setq dcl_id1 (load_dialog "nest.dcl"))
  ;load the DCL file

  (if (not (new_dialog "nest1" dcl_id1))
  ;load the nested dialogue box

    (exit)
    ;if not loaded exit

  )

  (action_tile
    "cancel"
    "(done_dialog)
     (setq result1 nil)"
  )
  ;if cancel selected do this

  (action_tile
    "accept"
    "(done_dialog)
     (setq result1 T)"
  )
  ;if OK selected do this

  (action_tile
    "next"
    "(nest2)"
  )
  ;if Next selected call the
  ;second nested dialogue function


  (start_dialog)
  ;start the nested dialogue box

  (unload_dialog dcl_id1)
  ;unload the nested dialogue box

  (princ)

);defun

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun nest2 ()
;define the function

  (setq dcl_id2 (load_dialog "nest.dcl"))
  ;load the DCL file

  (if (not (new_dialog "nest2" dcl_id2))
  ;load the second nested dialogue box

    (exit)
    ;if not found exit

  )

  (action_tile
    "cancel"
    "(done_dialog)
     (setq result2 nil)"
  )
  ;do this if Cancel selected

  (action_tile
    "accept"
    "(done_dialog)
     (setq result2 T)"
  )
  ;do this if OK selected

  (start_dialog)
  ;start the second nested dialogue box

  (unload_dialog dcl_id2)
  ;unload it

  (princ)

);defun

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(princ);load clean

